### Method

# Camel URL get_param

#### Declaration [src]

    const gchar*
    camel_url_get_param (
      CamelURL* url,
      const gchar* name
    )

#### Description [src]

Get the value of the specified param on the URL.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the param.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The value of a param if found or `NULL` otherwise.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.